html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

@media (max-width: 576px) {
    .set-input, .duration-h, .duration-m, .duration-s {
        width: 30px !important;
        font-size: 0.7rem !important;
        padding: 0.15rem !important;
    }
    .toggle-circle {
        font-size: 1rem !important;
    }
}

@media (max-width: 350px) {
    .complete-badge {
        display: none !important;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.hover-highlight:hover {
    background-color: #e9ecef !important; /*#e9ecef; /* light gray (Bootstrap’s bg-light shade) */
    transition: background-color 0.2s ease;
}

.text-ellipsis {
    display: inline-block;
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    vertical-align: bottom;
}

/* Toggleable circle styles */
.toggle-circle {
    font-size: 2rem; /* larger circle */
    color: grey; /* default grey */
    cursor: pointer;
    transition: color 0.2s;
}

.toggle-circle.active {
    color: green; /* green when ticked */
}

.hexagon {
    width: 100px;
    height: 115px;
    background: #7a5af8;
    clip-path: polygon(50% 0%, 93% 25%, 93% 75%, 50% 100%, 7% 75%, 7% 25%);
}

.confetti-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
}

.confetti {
    position: absolute;
    width: 8px;
    height: 8px;
    background-color: red;
    opacity: 0.8;
    animation: fall 3s linear infinite;
}

@keyframes fall {
    0% {
        transform: translateY(0) rotate(0deg);
    }

    100% {
        transform: translateY(100vh) rotate(360deg);
    }
}